{
  "name": "hrms",
  "version": "1.0.0",
  "author": {
    "name": "Gurukul Arts",
    "email": "arts@gurukul.org"
  },
  "gbase": {
    "dtpwa-template": "3.1.6",
    "git": "https://gitlab.com/gurukulartsdev/dtpwa-template.git"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/gurukulartsdev/dtpwa-template.git"
  },
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "publish": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "auth-api": "json-server --watch servers/authorization.json --port 3004 --id Id",
    "common-api": "json-server --watch servers/common.json --port 3006 --id Id",
    "data-api": "json-server --watch servers/datatable-data.json --port 3005 --id Id",
    "release": "standard-version"
  },
  "private": true,
  "dependencies": {
    "@agm/core": "^1.0.0-beta.5",
    "@angular/animations": "~8.2.5",
    "@angular/cdk": "^7.2.2",
    "@angular/common": "~8.2.5",
    "@angular/compiler": "~8.2.5",
    "@angular/core": "~8.2.5",
    "@angular/forms": "~8.2.5",
    "@angular/material": "^7.2.2",
    "@angular/platform-browser": "~8.2.5",
    "@angular/platform-browser-dynamic": "~8.2.5",
    "@angular/pwa": "^0.803.3",
    "@angular/router": "~8.2.5",
    "@angular/service-worker": "~8.2.5",
    "@balticcode/ngx-hotkeys": "^3.0.1",
    "@iplab/ngx-file-upload": "^1.1.1",
    "@ks89/angular-modal-gallery": "^7.2.1",
    "@ng-bootstrap/ng-bootstrap": "^5.1.1",
    "@ngx-pwa/local-storage": "^8.2.2",
    "@nicky-lenaers/ngx-scroll-to": "^1.1.1",
    "amazing-time-picker": "^1.5.3",
    "angular-6-datatable": "^0.8.0",
    "angular-auth-oidc-client": "^10.0.6",
    "angular-datatables": "^6.0.1",
    "angular-dual-listbox": "^4.7.0",
    "angular-highcharts-chart": "^1.0.2",
    "angular-morris-js": "^0.3.0",
    "angular-pell": "^0.1.0",
    "angular2-chartjs": "^0.5.1",
    "angular2-text-mask": "^9.0.0",
    "angular2-tinymce": "^3.3.0",
    "bootstrap": "^4.1.3",
    "core-js": "^2.5.4",
    "css-animator": "^2.3.1",
    "d3": "^3.5.17",
    "datatables.net": "^1.10.19",
    "datatables.net-buttons": "^1.5.4",
    "datatables.net-buttons-dt": "^1.5.4",
    "datatables.net-colreorder": "^1.5.1",
    "datatables.net-colreorder-dt": "^1.5.1",
    "datatables.net-dt": "^1.10.19",
    "datatables.net-responsive": "^2.2.3",
    "datatables.net-responsive-dt": "^2.2.3",
    "datatables.net-select": "^1.2.7",
    "datatables.net-select-dt": "^1.2.7",
    "echarts": "^4.2.0-rc.2",
    "famfamfam-flags": "^1.0.0",
    "fullcalendar": "^3.9.0",
    "hammerjs": "^2.0.8",
    "highcharts": "^6.2.0",
    "ic-datepicker": "^0.1.3",
    "jszip": "^3.1.5",
    "lodash": "^4.17.15",
    "moment": "^2.24.0",
    "moment-timezone": "^0.5.27",
    "morris.js": "github:morrisjs/morris.js",
    "mousetrap": "^1.6.2",
    "ng-click-outside": "^4.0.0",
    "ng-fullcalendar": "^1.6.2",
    "ng-multiselect-dropdown": "^0.2.6",
    "ng-number-formatter": "^1.5.0",
    "ng-select": "^1.0.0",
    "ng2-archwizard": "^2.1.0",
    "ng2-currency-mask": "^5.3.1",
    "ng2-dragula": "^1.5.0",
    "ng2-google-charts": "^3.4.0",
    "ng2-nvd3": "^2.0.0",
    "ng2-toasty": "^4.0.3",
    "ng2-validation": "^4.2.0",
    "ngx-bar-rating": "^1.1.0",
    "ngx-chips": "^1.9.8",
    "ngx-color-picker": "^7.0.0",
    "ngx-echarts": "^4.0.0",
    "ngx-moment": "^3.4.0",
    "ngx-onesignal": "^8.0.1",
    "ngx-perfect-scrollbar": "^6.3.1",
    "ngx-toastr": "^10.2.0",
    "ngx-webstorage": "^4.0.1",
    "node-sass": "^4.12.0",
    "nvd3": "^1.8.6",
    "peity": "^3.3.0",
    "raphael": "^2.2.7",
    "rxjs": "~6.5.3",
    "rxjs-compat": "^6.3.3",
    "screenfull": "^3.3.3",
    "sweetalert2": "^7.28.7",
    "tinymce": "^4.8.3",
    "tslib": "^1.9.0",
    "zone.js": "~0.9.1"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^0.803.3",
    "@angular/cli": "^8.3.3",
    "@angular/compiler-cli": "~8.2.5",
    "@angular/language-service": "^9.0.0-next.6",
    "@types/datatables.net": "^1.10.13",
    "@types/datatables.net-buttons": "^1.4.0",
    "@types/datatables.net-select": "^1.2.4",
    "@types/hammerjs": "^2.0.36",
    "@types/jasmine": "~2.8.8",
    "@types/jasminewd2": "~2.0.3",
    "@types/jquery": "^3.3.21",
    "@types/mousetrap": "^1.6.1",
    "@types/node": "^12.7.5",
    "codelyzer": "~4.5.0",
    "jasmine-core": "~2.99.1",
    "jasmine-spec-reporter": "~4.2.1",
    "json-loader": "^0.5.7",
    "karma": "~3.1.1",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "~2.0.1",
    "karma-jasmine": "~1.1.2",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.4.0",
    "standard-version": "^7.0.0",
    "ts-node": "~7.0.0",
    "tslint": "~5.11.0",
    "typescript": "~3.5.3"
  }
}
